Public Member Functions | Public Attributes | List of all members
StarObjectPageStyleInternal::State Struct Reference

Internal: the state of a StarObjectPageStyle. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::vector< PageDesc > | m_pageList
| list of pages
std::map< librevenge::RVNGString, size_t > | m_nameToPageIdMap
| map name to id
std::map< librevenge::RVNGString, size_t > | m_simplifyNameToPageIdMap
| map simplify name to id

## Detailed Description

Internal: the state of a StarObjectPageStyle.

## Constructor & Destructor Documentation

## ◆ State()

StarObjectPageStyleInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_nameToPageIdMap

std::map<librevenge::RVNGString, size_t> StarObjectPageStyleInternal::State::m_nameToPageIdMap

map name to id

## ◆ m_pageList

std::vector<PageDesc> StarObjectPageStyleInternal::State::m_pageList

list of pages

## ◆ m_simplifyNameToPageIdMap

std::map<librevenge::RVNGString, size_t> StarObjectPageStyleInternal::State::m_simplifyNameToPageIdMap

map simplify name to id

The documentation for this struct was generated from the following file:

- StarObjectPageStyle.cxx